<!DOCTYPE html>
<html lang="en-us">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content=
  "width=device-width, initial-scale=1">
  <title>psql Tips</title>
  <link rel="stylesheet" href="css/laetitia.css">
  <link rel="stylesheet" href="css/menu.css">
  <link rel="stylesheet" href=
  "https://fonts.googleapis.com/css?family=Raleway">
  <link rel="stylesheet"
  href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/agate.min.css">
  <script
  src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script>hljs.highlightAll();</script>
  <script>
    function pickATip()
    {
      const maxTipNumber = 150;
      var chosenOne=Math.floor(Math.random()*(maxTipNumber) + 1); //randomly pick one
      document.location = "psql_tips_" + chosenOne.toString().padStart(3,0) + ".html";
    }
  </script>
</head>
<body class="Site">
  <!-- **** Begin Fork-Me-On-Gitlab-Ribbon-HTML. See MIT License at https://gitlab.com/seanwasere/fork-me-on-gitlab **** -->
  <a href="https://gitlab.com/l_avrot/psql-tips">
      <span style="font-family: tahoma; font-size: 20px; position:fixed; top:50px; right:-45px; display:block; -webkit-transform: rotate(45deg); -moz-transform: rotate(45deg); background-color:#3379b7; color:white; padding: 4px 30px 4px 30px; z-index:99">Fork Me On GitLab</span>
  </a>
  <!-- **** End Fork-Me-On-Gitlab-Ribbon-HTML **** -->
  <menu>
    <label for="trigger">
    <input id="trigger" type="checkbox" />
    <section class="drawer-list">
      <ul>
        <li><a href="#">Home</a></li>
        <li><a href="https://mydbanotebook.org">My DBA Notebook</a></li>
        <li><a href="https://mydbanotebook.org/about/me/">About me</a></li>
      </ul>
    </section>
    <hamburger>
        <i></i>
        <text>
          <close>close</close>
         <open>menu</open>
        </text>
    </hamburger>
    </label>
  </menu>
  <header id="top">
    <h1><code>psql</code> Tips</h1>
  </header>
  <main class="Site-content">
    <h2 class='breath'>Psql Tip #073</h2>
    <div class="tip">
	The <code>&#43;</code> modifier to the <code>\d pattern</code> metacommand will, on top of displaying
	information about table, view, materialized view, index, sequence,
	foreign table, or composite type matching the pattern, display any comments
	associated with the columns of the table are shown, as is the presence of
	OIDs in the table, the view definition if the relation is a view,
	a non-default replica identity setting.
      <pre><code class="hljs bash">laetitia=# \d&#43; test
                                                       Table "public.test"
 Column |  Type   | Collation | Nullable |           Default            | Storage  | Compression | Stats target |  Description   
--------&#43;---------&#43;-----------&#43;----------&#43;------------------------------&#43;----------&#43;-------------&#43;--------------&#43;----------------
 id     | integer |           | not null | generated always as identity | plain    |             |              | 
 value  | text    |           | not null |                              | extended | pglz        |              | column comment
Indexes:
    "test_value_key" UNIQUE CONSTRAINT, btree (value)
Access method: heap</code></pre>This feature is available
since Postgres 8.0.
	</div>
    <div class="breath">
      See <a href=
      "https://www.postgresql.org/docs/current/app-psql.html">Postgres
      documentation</a> for more information.
    </div><a href="#" class="myButton" onclick=
    "pickATip();">Try a new tip</a><a href="psql_tips_all.html" class="myButton"
    >See them all</a>
  </main>
  <footer>
    <p>Theme inspired by <a href=
    "https://github.com/calintat/minimal">Minimal</a></p>
  </footer>
</body>
</html>

